Package de.willuhn.jameica.hbci.io

# Interface Exporter

All Superinterfaces:
  `IO`

All Known Implementing Classes:
  `AbstractExporter`, `AbstractPDFUmsatzExporter`, `AbstractSepaExporter`, `AbstractUmsatzTreeExporter`, `Banking4UmsatzTypExporter`, `DTAUSSammelTransferExporter`, `EinnahmeAusgabeExporter`, `MT940UmsatzExporter`, `MT940UmsatzExporterMerged`, `PDFUmsatzByKontoExporter`, `PDFUmsatzByTypeExporter`, `SepaLastschriftExporter`, `SepaSammelLastschriftExporter`, `SepaSammelUeberweisungExporter`, `SepaUeberweisungExporter`, `UmsatzTreeAccountingExporter`, `UmsatzTreeCompleteExporter`, `UmsatzTreeSummaryExporter`, `VelocityExporter`, `XMLExporter`, `XMLSammelTransferExporter`, `XMLSepaSammelTransferExporter`

public interface Exporter extends IO
Basis-Interface aller Exporter.

Alle Klassen, die dieses Interface implementieren, werden automatisch von Hibiscus erkannt und dem Benutzer als Export-Moeglichkeit angeboten insofern sie einen parameterlosen Konstruktor mit dem Modifier "public" besitzen (Java-Bean-Konvention).

See Also:
  - `IORegistry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final de.willuhn.util.Session`
`SESSION`
Eine Session fuer zusaetzliche Parameter.

## Method Summary

Modifier and Type
Method
Description
`void`
`doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor)`
Exportiert die genannten Objekte in den angegebenen OutputStream.
`boolean`
`suppportsExtension(String ext)`
Liefert true, wenn der Exporter die angegebene Extension unterstuetzt.

### Methods inherited from interface de.willuhn.jameica.hbci.io.IO

`getIOFormats, getName`

## Field Details

### SESSION

static final de.willuhn.util.Session SESSION
Eine Session fuer zusaetzliche Parameter.

## Method Details

### doExport

void doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor) throws RemoteException, de.willuhn.util.ApplicationException
Exportiert die genannten Objekte in den angegebenen OutputStream.

Parameters:
  `objects` - die zu exportierenden Objekte.
  `format` - das vom User ausgewaehlte Export-Format.
  `os` - der Ziel-Ausgabe-Stream. Der Exporter muss den OutputStream selbst schliessen!
  `monitor` - ein Monitor, an den der Exporter Ausgaben ueber seinen Bearbeitungszustand ausgeben kann.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### suppportsExtension

boolean suppportsExtension(String ext)
Liefert true, wenn der Exporter die angegebene Extension unterstuetzt.

Hintergrund: Im Export-Dialog koennen verschiedene Optionen (wie etwa "Spalte Saldo ausblenden") angezeigt werden. Manche Export-Formate unterstuetzen diese Option jedoch gar nicht, sodass sie ignoriert werden wuerde. Aus dem Grund kann der Exporter selbst mitteilen, ob er die angegebene Option unterstuetzt. Unterstuetzt er sie nicht, wir die Option automatisch deaktiviert.

Parameters:
  `ext` - der Name der Extension.
Returns:
  true, wenn er die Extension unterstuetzt.